﻿@model  Select2MotivosCancelamentoGestaoViewModel

<div class="col-lg-12" style="@Model.margintopSel">
    <label for="input-text-1">
        <strong class="strong-min-tgv">Categorização:</strong>
    </label>
    <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
</div>

<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {


                //if (Model.tipoMotivo == 1)
                    ajaxPostApiURL = '@Url.Content("~/api/Select2MotivosCancelamentoGestao/obterDescricoesMotivosCancelamentoGestao")';


                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "DESMTVCNC";
                textoInicial = "Selecione um Motivo";
                jsonTexto = "DESMTVCNC";
                jsonValor = "CODMTVCNC";
                caracteresMinimos = 0;
                @if (Model.ativo)
                {
                <text>buscarAtivos = true;</text>
                }
                else
                {
                <text>buscarAtivos = false;</text>
                }
            }
            inicializar(null);
        }
    });

</script>
